import { suitableApi } from '@/api/suitable'

export function useSuitable() {
  const getCategories = async () => {
    try {
      // return await suitableApi.getCategory()
    } catch (error) {
      console.error('카테고리 데이터 로드 실패:', error)
      return []
    }
  }

  const getSuitables = async () => {
    try {
      // return await suitableApi.getList()
    } catch (error) {
      console.error('지붕재 데이터 로드 실패:', error)
    }
  }

  const updateSearchResults = async (selectedCategory: string | undefined, searchValue: string | undefined) => {
    try {
      // return await suitableApi.getList(selectedCategory, searchValue)
    } catch (error) {
      console.error('지붕재 데이터 검색 실패:', error)
    }
  }

  return { getCategories, getSuitables, updateSearchResults }
}
